# - uninstall target template
#
if (NOT EXISTS "/work/roessler/SciFiSim/install_manifest.txt")
    message(FATAL_ERROR "Cannot find install manifest: \"/work/roessler/SciFiSim/install_manifest.txt\"")
endif(NOT EXISTS "/work/roessler/SciFiSim/install_manifest.txt")

file(READ "/work/roessler/SciFiSim/install_manifest.txt" files)
string(REGEX REPLACE "\n" ";" files "${files}")

foreach (file ${files})
    message(STATUS "Uninstalling \"$ENV{DESTDIR}${file}\"")
    if (EXISTS "$ENV{DESTDIR}${file}")
        execute_process(
            COMMAND /auto/lhcb/lib/contrib/CMake/2.8.9/Linux-i386/bin/cmake -E remove "$ENV{DESTDIR}${file}"
            OUTPUT_VARIABLE rm_out
            RESULT_VARIABLE rm_retval
        )
        if(NOT ${rm_retval} EQUAL 0)
            message(FATAL_ERROR "Problem when removing \"$ENV{DESTDIR}${file}\"")
        endif (NOT ${rm_retval} EQUAL 0)
    else (EXISTS "$ENV{DESTDIR}${file}")
        message(STATUS "File \"$ENV{DESTDIR}${file}\" does not exist.")
    endif (EXISTS "$ENV{DESTDIR}${file}")
endforeach(file)

